FsImageProto.INodeReferenceSection.INodeReference.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeReferenceSection, class: INodeReference, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.INodeReferenceSection.INodeReference.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeReferenceSection.INodeReference.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.INodeReferenceSection.INodeReference

public static final class FsImageProto.INodeReferenceSection.INodeReference.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder> implements FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder
Protobuf type `hadoop.hdfs.fsimage.INodeReferenceSection.INodeReference`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeReferenceSection.INodeReference`
  `build()`
  `FsImageProto.INodeReferenceSection.INodeReference`
  `buildPartial()`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clear()`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clearDstSnapshotId()`
  recorded in DstReference
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clearLastSnapshotId()`
  recorded in WithName
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clearName()`
  local name recorded in WithName
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clearReferredId()`
  id of the referred inode
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `clone()`
  `FsImageProto.INodeReferenceSection.INodeReference`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `int`
  `getDstSnapshotId()`
  recorded in DstReference
  `int`
  `getLastSnapshotId()`
  recorded in WithName
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getName()`
  local name recorded in WithName
  `long`
  `getReferredId()`
  id of the referred inode
  `boolean`
  `hasDstSnapshotId()`
  recorded in DstReference
  `boolean`
  `hasLastSnapshotId()`
  recorded in WithName
  `boolean`
  `hasName()`
  local name recorded in WithName
  `boolean`
  `hasReferredId()`
  id of the referred inode
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `mergeFrom(FsImageProto.INodeReferenceSection.INodeReference other)`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setDstSnapshotId(int value)`
  recorded in DstReference
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setLastSnapshotId(int value)`
  recorded in WithName
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setName(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  local name recorded in WithName
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setReferredId(long value)`
  id of the referred inode
  `FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final FsImageProto.INodeReferenceSection.INodeReference.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### clear

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.INodeReferenceSection.INodeReference getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.INodeReferenceSection.INodeReference build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.INodeReferenceSection.INodeReference buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### setField

    public FsImageProto.INodeReferenceSection.INodeReference.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### clearField

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### clearOneof

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### setRepeatedField

    public FsImageProto.INodeReferenceSection.INodeReference.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### addRepeatedField

    public FsImageProto.INodeReferenceSection.INodeReference.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeReferenceSection.INodeReference.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeReferenceSection.INodeReference.Builder mergeFrom(FsImageProto.INodeReferenceSection.INodeReference other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeReferenceSection.INodeReference.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`
    Throws:
      `IOException`

  - ### hasReferredId

    public boolean hasReferredId()

         id of the referred inode

    `optional uint64 referredId = 1;`
    Specified by:
      `hasReferredId` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      Whether the referredId field is set.

  - ### getReferredId

    public long getReferredId()

         id of the referred inode

    `optional uint64 referredId = 1;`
    Specified by:
      `getReferredId` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      The referredId.

  - ### setReferredId

    public FsImageProto.INodeReferenceSection.INodeReference.Builder setReferredId(long value)

         id of the referred inode

    `optional uint64 referredId = 1;`
    Parameters:
      `value` - The referredId to set.
    Returns:
      This builder for chaining.

  - ### clearReferredId

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clearReferredId()

         id of the referred inode

    `optional uint64 referredId = 1;`
    Returns:
      This builder for chaining.

  - ### hasName

    public boolean hasName()

         local name recorded in WithName

    `optional bytes name = 2;`
    Specified by:
      `hasName` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      Whether the name field is set.

  - ### getName

    public org.apache.hadoop.thirdparty.protobuf.ByteString getName()

         local name recorded in WithName

    `optional bytes name = 2;`
    Specified by:
      `getName` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      The name.

  - ### setName

    public FsImageProto.INodeReferenceSection.INodeReference.Builder setName(org.apache.hadoop.thirdparty.protobuf.ByteString value)

         local name recorded in WithName

    `optional bytes name = 2;`
    Parameters:
      `value` - The name to set.
    Returns:
      This builder for chaining.

  - ### clearName

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clearName()

         local name recorded in WithName

    `optional bytes name = 2;`
    Returns:
      This builder for chaining.

  - ### hasDstSnapshotId

    public boolean hasDstSnapshotId()

         recorded in DstReference

    `optional uint32 dstSnapshotId = 3;`
    Specified by:
      `hasDstSnapshotId` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      Whether the dstSnapshotId field is set.

  - ### getDstSnapshotId

    public int getDstSnapshotId()

         recorded in DstReference

    `optional uint32 dstSnapshotId = 3;`
    Specified by:
      `getDstSnapshotId` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      The dstSnapshotId.

  - ### setDstSnapshotId

    public FsImageProto.INodeReferenceSection.INodeReference.Builder setDstSnapshotId(int value)

         recorded in DstReference

    `optional uint32 dstSnapshotId = 3;`
    Parameters:
      `value` - The dstSnapshotId to set.
    Returns:
      This builder for chaining.

  - ### clearDstSnapshotId

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clearDstSnapshotId()

         recorded in DstReference

    `optional uint32 dstSnapshotId = 3;`
    Returns:
      This builder for chaining.

  - ### hasLastSnapshotId

    public boolean hasLastSnapshotId()

         recorded in WithName

    `optional uint32 lastSnapshotId = 4;`
    Specified by:
      `hasLastSnapshotId` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      Whether the lastSnapshotId field is set.

  - ### getLastSnapshotId

    public int getLastSnapshotId()

         recorded in WithName

    `optional uint32 lastSnapshotId = 4;`
    Specified by:
      `getLastSnapshotId` in interface `FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder`
    Returns:
      The lastSnapshotId.

  - ### setLastSnapshotId

    public FsImageProto.INodeReferenceSection.INodeReference.Builder setLastSnapshotId(int value)

         recorded in WithName

    `optional uint32 lastSnapshotId = 4;`
    Parameters:
      `value` - The lastSnapshotId to set.
    Returns:
      This builder for chaining.

  - ### clearLastSnapshotId

    public FsImageProto.INodeReferenceSection.INodeReference.Builder clearLastSnapshotId()

         recorded in WithName

    `optional uint32 lastSnapshotId = 4;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.INodeReferenceSection.INodeReference.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.INodeReferenceSection.INodeReference.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeReferenceSection.INodeReference.Builder>`